﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace WindowsFormsApplication24
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            List<string> RecentFilesList = new List<string>();
            RecentFilesList.Add("1");
            RecentFilesList.Add("2");
            RecentFilesList.Add("3");
            RecentFilesList.Add("4");

            ButtonTool buttonTool = null;
            foreach (string sProjpath in RecentFilesList)
            {
                string sKey = sProjpath;
                buttonTool = new ButtonTool(sKey);

                if (ultraToolbarsManager1.Tools.Exists(sKey))
                    continue;

                buttonTool.SharedPropsInternal.Caption = sProjpath;

                ultraToolbarsManager1.Tools.AddRange(new ToolBase[] { buttonTool });

                //Add the button to the right area of the application menu
                buttonTool = new ButtonTool(sKey);


                ultraToolbarsManager1.Ribbon.ApplicationMenu.ToolAreaRight.NonInheritedTools.AddRange(new ToolBase[] { buttonTool });


                ultraToolbarsManager1.Ribbon.ToolbarsManager.Tools[sKey].SharedProps.Enabled = true;
            }


        }

        void ultraToolbarsManager1_ToolClick(object sender, ToolClickEventArgs e)
        {
            MessageBox.Show(e.Tool.Index.ToString());     
        }
    }
}
